#	$(shell DIRS=find .. -type d; for )

release_dir:
	@if test ! -d Release; then \
	echo Create Release directory; \
	mkdir Release; \
	mkdir -p Release/base/continuous; \
	mkdir -p Release/base/cellular_automaton; \
	mkdir -p Release/coroutine; \
	mkdir -p Release/data/buffer; \
	mkdir -p Release/data/output; \
	mkdir -p Release/global; \
	mkdir -p Release/protocol; \
	mkdir -p Release/random; \
	mkdir -p Release/statistics; \
	mkdir -p Release/synchronization; \
	mkdir -p Release/util; \
	fi

release_examples_dir: release_dir
	@if test ! -d Release/Examples; then \
	echo Create Examples directory; \
	mkdir -p Release/Examples; \
	fi

debug_dir:
	@if test ! -d Debug; then \
	echo Create Debug directory; \
	mkdir Debug; \
	mkdir -p Debug/base/continuous; \
	mkdir -p Debug/base/cellular_automaton; \
	mkdir -p Debug/coroutine; \
	mkdir -p Debug/data/buffer; \
	mkdir -p Debug/data/output; \
	mkdir -p Debug/global; \
	mkdir -p Debug/protocol; \
	mkdir -p Debug/random; \
	mkdir -p Debug/statistics; \
	mkdir -p Debug/synchronization; \
	mkdir -p Debug/util; \
	fi

debug_examples_dir: debug_dir
	@if test ! -d Debug/Examples; then \
	echo Create Examples directory; \
	mkdir -p Debug/Examples; \
	fi

test_dir:
	@if test ! -d Test; then \
	echo Create Test directory; \
	mkdir Test; \
	mkdir -p Test/base/cellular_automaton; \
	mkdir -p Test/base/continuous; \
	mkdir -p Test/coroutine; \
	mkdir -p Test/data/buffer; \
	mkdir -p Test/data/output; \
	mkdir -p Test/global; \
	mkdir -p Test/protocol; \
	mkdir -p Test/random; \
	mkdir -p Test/statistics; \
	mkdir -p Test/synchronization; \
	mkdir -p Test/util; \
	fi

test_objects_dir:
	@if test ! -d Test/Objects; then \
	echo Create Objects directory; \
	mkdir Test/Objects; \
	fi
	
clean::
	@if test -d Release; then \
	rm -rf Release; \
	echo Removed release files; \
	fi
	@if test -d Debug; then \
	rm -rf Debug; \
	echo Removed debug files; \
	fi
	@if test -d Test; then \
	rm -rf Test; \
	echo Removed test files; \
	fi
